at.chipkarte.client.abs.soap.constants

## Class InvalidParameterBewilligungsanfrageExceptionConstants

- Object
- - at.chipkarte.client.abs.soap.constants.InvalidParameterBewilligungsanfrageExceptionConstants

-     public final class InvalidParameterBewilligungsanfrageExceptionConstants
      extends Object

  Fehlerkonstanten für falsche Parameterübergaben in den Funktionen `sendenAnfrage`, `abfragenLangzeitbewilligung` `sendenFolgeverordnung` `ermittelnPatientenDaten` `getStatusPatientBewilligungsAnfragen`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANTRAGSTYP_INVALID` Der Antragstyp ist nicht gültig.
    `static int` | `ANTRAGSTYP_NOT_SET` Der Antragstyp ist ein Pflichtfeld.
    `static int` | `ATTACHMENT_DUPLICATE` Die Anlage wurde bereits hinzugefügt.
    `static int` | `ATTACHMENT_FILESIZE_NOT_ALLOWED` Die Dateigröße aller Anlagen zusammen ist ungültig.
    `static int` | `ATTACHMENT_INVALID` Es wurde kein Attachment hinzugefügt.
    `static int` | `ATTACHMENT_MAX_FILES_EXCEEDED` Die Anzahl der zulässigen Anlagen ist überschritten.
    `static int` | `ATTACHMENT_NAME_NOT_VALID` Der Dateiname ist ungültig (5-128 Zeichen).
    `static int` | `ATTACHMENT_TYP_NOT_VALID` Der Dateityp der Anlage ist nicht erlaubt.
    `static int` | `BEGRUENDUNG_INVALID` Das Feld Begründung entspricht nicht den Vorgaben, siehe auch `begruendung`.
    `static int` | `BEGRUENDUNG_NOT_SET` Begründung ist ein Pflichtfeld.
    `static int` | `CARDTOKEN_AND_NACHNAME_NOT_ALLOWED` Bei Angabe eines e-card-Tokens darf kein Nachname angegeben werden.
    `static int` | `CARDTOKEN_AND_VORNAME_NOT_ALLOWED` Bei Angabe eines e-card-Tokens darf kein Vorname angegeben werden.
    `static int` | `CARDTOKEN_SVNR_NACHNAME_VORNAME_NOT_SET` Es muss entweder ein e-card-Token oder mindestens eines der Felder SV-Nummer, Nachname oder Vorname angegeben werden.
    `static int` | `CARDTOKEN_SVNR_NOT_SET` Es muss entweder ein e-card-Token oder eine SV-Nummer angegeben werden.
    `static int` | `DIAGNOSE_INVALID` Das Feld Diagnose darf maximal 100 Zeichen enthalten.
    `static int` | `DIAGNOSE_NOT_SET` Diagnose ist ein Pflichtfeld.
    `static int` | `DOSIERUNG_INVALID` Die Dosierung darf maximal 25 Zeichen enthalten.
    `static int` | `EKVK_NUMMER_INVALID` Die EKVK-Nummer darf maximal 20 Zeichen enthalten.
    `static int` | `GESCHLECHT_PATIENT_INVALID` Das Geschlecht des Patienten ist ungültig.
    `static int` | `INTERNAL_ERROR` Interner Verarbeitungsfehler in ABS.
    `static int` | `KOSTENTRAEGER_INVALID` Der Kostenträger ist ungültig.
    `static int` | `LANGZEITVERORDNUNG_INVALID` Der angegebene Wert für die Langzeitverordnung ist ungültig, siehe auch `langzeitVerordnung`.
    `static int` | `MAGISTRALE_ZUBEREITUNG_INVALID` Der angegebene Wert für Magistrale Zubereitung ist ungültig.
    `static int` | `MEDIKAMENT_INVALID` Die Medikamentenbezeichnung darf maximal 100 Zeichen enthalten.
    `static int` | `MEDIKAMENT_NAME_NOT_SET` Medikamentname ist ein Pflichtfeld.
    `static int` | `MEDIKAMENT_ZUBEREITUNG_NOT_SET` Medikament oder Magistrale Zubereitung muss belegt werden.
    `static int` | `NACHNAME_PATIENT_INVALID` Der Familienname des Patienten darf maximal 70 Zeichen enthalten.
    `static int` | `NACHNAME_PATIENT_NOT_SET` Der Familienname des Patienten wurde nicht angegeben.
    `static int` | `PACKUNGSANZAHL_INVALID` Der angegebene Wert für Packungsanzahl ist ungültig, siehe `packungsanzahl`.
    `static int` | `PACKUNGSANZAHL_NOT_SET` Packungsanzahl ist ein Pflichtfeld.
    `static int` | `PHARMANR_MEDIKAMENT_NOT_SET` Es muss eines der Felder `Medikamentname` oder `Pharmanummer` angegeben werden.
    `static int` | `PHARMANUMMER_INVALID` Die Pharmanummer ist ungültig.
    `static int` | `SVNR_EKVKNR_NOT_SET` Es muss eines der Felder SV-Nummer (bzw. e-card-Token) oder persönliche Kennnummer angegeben werden.
    `static int` | `SVNR_PATIENT_INVALID` Die Sozialversicherungsnummer des Patienten ist ungültig, siehe `sVNummer`.
    `static int` | `VERORDNERINFORMATION_INVALID` Die Verordnerinformation ist ungültig.
    `static int` | `VERORDNUNG_MAX_EXCEEDED` Die Anzahl der maximal erlaubten Verordnungen (10) wurde überschritten.
    `static int` | `VERORDNUNG_NOT_SET` Es muss zumindest eine Verordnung vorhanden sein.
    `static int` | `VORNAME_PATIENT_INVALID` Der Vorname des Patienten darf maximal 70 Zeichen enthalten.
    `static int` | `VORNAME_PATIENT_NOT_SET` Der Vorname des Patienten wurde nicht angegeben.

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INTERNAL_ERROR

          public static final int INTERNAL_ERROR

      Interner Verarbeitungsfehler in ABS.
      ORCLI-Code: CL-04051, CL-04203
      See Also:
        Constant Field Values

    - #### KOSTENTRAEGER_INVALID

          public static final int KOSTENTRAEGER_INVALID

      Der Kostenträger ist ungültig.
      ORCLI-Code: CL-04022, CL-04023
      See Also:
        Constant Field Values

    - #### SVNR_PATIENT_INVALID

          public static final int SVNR_PATIENT_INVALID

      Die Sozialversicherungsnummer des Patienten ist ungültig, siehe `sVNummer`.
      ORCLI-Code: CL-04042, CL-04043
      See Also:
        Constant Field Values

    - #### NACHNAME_PATIENT_NOT_SET

          public static final int NACHNAME_PATIENT_NOT_SET

      Der Familienname des Patienten wurde nicht angegeben.
      ORCLI-Code: CL-04001
      See Also:
        Constant Field Values

    - #### NACHNAME_PATIENT_INVALID

          public static final int NACHNAME_PATIENT_INVALID

      Der Familienname des Patienten darf maximal 70 Zeichen enthalten.
      ORCLI-Code: CL-04002, CL-04003
      See Also:
        Constant Field Values

    - #### VORNAME_PATIENT_NOT_SET

          public static final int VORNAME_PATIENT_NOT_SET

      Der Vorname des Patienten wurde nicht angegeben.
      ORCLI-Code: CL-04011
      See Also:
        Constant Field Values

    - #### VORNAME_PATIENT_INVALID

          public static final int VORNAME_PATIENT_INVALID

      Der Vorname des Patienten darf maximal 70 Zeichen enthalten.
      ORCLI-Code: CL-04012, CL-4013
      See Also:
        Constant Field Values

    - #### EKVK_NUMMER_INVALID

          public static final int EKVK_NUMMER_INVALID

      Die EKVK-Nummer darf maximal 20 Zeichen enthalten.
      ORCLI-Code: CL-04052, CL-04053
      See Also:
        Constant Field Values

    - #### PHARMANUMMER_INVALID

          public static final int PHARMANUMMER_INVALID

      Die Pharmanummer ist ungültig.
      ORCLI-Code: CL-04062, CL-04063
      See Also:
        Constant Field Values

    - #### GESCHLECHT_PATIENT_INVALID

          public static final int GESCHLECHT_PATIENT_INVALID

      Das Geschlecht des Patienten ist ungültig.
      ORCLI-Code: CL-04032, CL-04033
      See Also:
        Constant Field Values

    - #### DIAGNOSE_INVALID

          public static final int DIAGNOSE_INVALID

      Das Feld Diagnose darf maximal 100 Zeichen enthalten.
      ORCLI-Code: CL-04072, CL-04073
      See Also:
        Constant Field Values

    - #### DOSIERUNG_INVALID

          public static final int DOSIERUNG_INVALID

      Die Dosierung darf maximal 25 Zeichen enthalten.
      ORCLI-Code: CL-04082, CL-04083
      See Also:
        Constant Field Values

    - #### VERORDNUNG_NOT_SET

          public static final int VERORDNUNG_NOT_SET

      Es muss zumindest eine Verordnung vorhanden sein.
      ORCLI-Code: CL-04204
      See Also:
        Constant Field Values

    - #### VERORDNUNG_MAX_EXCEEDED

          public static final int VERORDNUNG_MAX_EXCEEDED

      Die Anzahl der maximal erlaubten Verordnungen (10) wurde überschritten.
      ORCLI-Code: CL-04202
      See Also:
        Constant Field Values

    - #### MEDIKAMENT_INVALID

          public static final int MEDIKAMENT_INVALID

      Die Medikamentenbezeichnung darf maximal 100 Zeichen enthalten.
      ORCLI-Code: CL-04092, CL-04093
      See Also:
        Constant Field Values

    - #### LANGZEITVERORDNUNG_INVALID

          public static final int LANGZEITVERORDNUNG_INVALID

      Der angegebene Wert für die Langzeitverordnung ist ungültig, siehe auch `langzeitVerordnung`.
      ORCLI-Code: CL-04102, CL-04103
      See Also:
        Constant Field Values

    - #### BEGRUENDUNG_INVALID

          public static final int BEGRUENDUNG_INVALID

      Das Feld Begründung entspricht nicht den Vorgaben, siehe auch `begruendung`.
      ORCLI-Code: CL-04112
      See Also:
        Constant Field Values

    - #### PACKUNGSANZAHL_NOT_SET

          public static final int PACKUNGSANZAHL_NOT_SET

      Packungsanzahl ist ein Pflichtfeld.
      ORCLI-Code: CL-04131
      See Also:
        Constant Field Values

    - #### PACKUNGSANZAHL_INVALID

          public static final int PACKUNGSANZAHL_INVALID

      Der angegebene Wert für Packungsanzahl ist ungültig, siehe `packungsanzahl`.
      ORCLI-Code: CL-04132, CL-04133
      See Also:
        Constant Field Values

    - #### MAGISTRALE_ZUBEREITUNG_INVALID

          public static final int MAGISTRALE_ZUBEREITUNG_INVALID

      Der angegebene Wert für Magistrale Zubereitung ist ungültig.
      ORCLI-Code: CL-04122
      See Also:
        Constant Field Values

    - #### DIAGNOSE_NOT_SET

          public static final int DIAGNOSE_NOT_SET

      Diagnose ist ein Pflichtfeld.
      ORCLI-Code: CL-04071
      See Also:
        Constant Field Values

    - #### BEGRUENDUNG_NOT_SET

          public static final int BEGRUENDUNG_NOT_SET

      Begründung ist ein Pflichtfeld.
      ORCLI-Code: CL-04111
      See Also:
        Constant Field Values

    - #### SVNR_EKVKNR_NOT_SET

          public static final int SVNR_EKVKNR_NOT_SET

      Es muss eines der Felder SV-Nummer (bzw. e-card-Token) oder persönliche Kennnummer angegeben werden. Es muss entweder die SV-Nummer und/oder ein e-card Token oder eine persönliche Kennnummer angegeben werden. Die Angabe keiner der Parameter oder die Angabe von SV-Nummer bzw. e-card-Token gemeinsam mit einer persönlichen Kennnummer führen ist nicht erlaubt.
      ORCLI-Code: CL-04200
      See Also:
        Constant Field Values

    - #### MEDIKAMENT_ZUBEREITUNG_NOT_SET

          public static final int MEDIKAMENT_ZUBEREITUNG_NOT_SET

      Medikament oder Magistrale Zubereitung muss belegt werden.
      ORCLI-Code: CL-04201
      See Also:
        Constant Field Values

    - #### PHARMANR_MEDIKAMENT_NOT_SET

          public static final int PHARMANR_MEDIKAMENT_NOT_SET

      Es muss eines der Felder `Medikamentname` oder `Pharmanummer` angegeben werden.
      ORCLI-Code: CL-04213
      See Also:
        Constant Field Values

    - #### MEDIKAMENT_NAME_NOT_SET

          public static final int MEDIKAMENT_NAME_NOT_SET

      Medikamentname ist ein Pflichtfeld.
      ORCLI-Code: CL-04091
      See Also:
        Constant Field Values

    - #### ATTACHMENT_INVALID

          public static final int ATTACHMENT_INVALID

      Es wurde kein Attachment hinzugefügt.
      ORCLI-Code: CL-04208
      See Also:
        Constant Field Values

    - #### ATTACHMENT_DUPLICATE

          public static final int ATTACHMENT_DUPLICATE

      Die Anlage wurde bereits hinzugefügt.
      ORCLI-Code: CL-04205
      See Also:
        Constant Field Values

    - #### ATTACHMENT_MAX_FILES_EXCEEDED

          public static final int ATTACHMENT_MAX_FILES_EXCEEDED

      Die Anzahl der zulässigen Anlagen ist überschritten.
      ORCLI-Code: CL-04207
      See Also:
        Constant Field Values

    - #### ATTACHMENT_NAME_NOT_VALID

          public static final int ATTACHMENT_NAME_NOT_VALID

      Der Dateiname ist ungültig (5-128 Zeichen).
      ORCLI-Code: CL-04209
      See Also:
        Constant Field Values

    - #### ATTACHMENT_TYP_NOT_VALID

          public static final int ATTACHMENT_TYP_NOT_VALID

      Der Dateityp der Anlage ist nicht erlaubt.
      ORCLI-Code: CL-04210
      See Also:
        Constant Field Values

    - #### ATTACHMENT_FILESIZE_NOT_ALLOWED

          public static final int ATTACHMENT_FILESIZE_NOT_ALLOWED

      Die Dateigröße aller Anlagen zusammen ist ungültig.
      ORCLI-Code: CL-04211, CL-04212
      See Also:
        Constant Field Values

    - #### ANTRAGSTYP_NOT_SET

          public static final int ANTRAGSTYP_NOT_SET

      Der Antragstyp ist ein Pflichtfeld.
      ORCLI-Code: CL-04441
      See Also:
        Constant Field Values

    - #### ANTRAGSTYP_INVALID

          public static final int ANTRAGSTYP_INVALID

      Der Antragstyp ist nicht gültig.
      ORCLI-Code: CL-04442, CL-04443
      See Also:
        Constant Field Values

    - #### VERORDNERINFORMATION_INVALID

          public static final int VERORDNERINFORMATION_INVALID

      Die Verordnerinformation ist ungültig.
      ORCLI-Code: CL-04452, CL-04453
      See Also:
        Constant Field Values

    - #### CARDTOKEN_AND_NACHNAME_NOT_ALLOWED

          public static final int CARDTOKEN_AND_NACHNAME_NOT_ALLOWED

      Bei Angabe eines e-card-Tokens darf kein Nachname angegeben werden.
      ORCLI-Code: CL-04455
      See Also:
        Constant Field Values

    - #### CARDTOKEN_AND_VORNAME_NOT_ALLOWED

          public static final int CARDTOKEN_AND_VORNAME_NOT_ALLOWED

      Bei Angabe eines e-card-Tokens darf kein Vorname angegeben werden.
      ORCLI-Code: CL-04456
      See Also:
        Constant Field Values

    - #### CARDTOKEN_SVNR_NACHNAME_VORNAME_NOT_SET

          public static final int CARDTOKEN_SVNR_NACHNAME_VORNAME_NOT_SET

      Es muss entweder ein e-card-Token oder mindestens eines der Felder SV-Nummer, Nachname oder Vorname angegeben werden.
      ORCLI-Code: CL-04215
      See Also:
        Constant Field Values

    - #### CARDTOKEN_SVNR_NOT_SET

          public static final int CARDTOKEN_SVNR_NOT_SET

      Es muss entweder ein e-card-Token oder eine SV-Nummer angegeben werden.
      ORCLI-Code: CL-04216
      See Also:
        Constant Field Values